package info.bukova.isspst;

import org.zkoss.util.resource.Labels;

public class StringUtils {

	public static String nullStr(String str) {
		return str == null ? "" : str;
	}
	
	public static String not0ToStr(long i) {
		return i == 0 ? "" : String.valueOf(i);
	}
	
	public static String localizeDbErr(String sqlError) {
		String splitMessage[] = sqlError.split("'");
		String message = "";
		
		for (int i = 0; i < splitMessage.length; i++) {
			if (i % 2 == 0) {
				message += getLocalized(splitMessage[i]);
			} else {
				message += " '" + splitMessage[i] + "' ";
			}
		}
		
		return message;
	}
	
	public static String localize(String key) {
		return Labels.getLabel(key) == null ? key : Labels.getLabel(key);
	}
	
	private static String getLocalized(String str) {
		String words[] = str.split(" ");
		String key = "";
		
		for (String word: words) {
			if (!word.isEmpty()) {
				key += word.substring(0, 1).toUpperCase() + word.substring(1);
			}
		}
		
		return Labels.getLabel("Db" + key);
	}
	
}
