package info.bukova.isspst.reporting;


public class Report {

	private ReportType type;
	private String name;
	private String jasperFile;
	private boolean hasSettings;
	
	public Report() {
		hasSettings = false;
	}
	
	public Report(String name, String jasperFile) {
		this();
		this.type = ReportType.DEFINED;
		this.name = name;
		this.jasperFile = jasperFile;
	}
	
	public Report(String name, String jasperFile, boolean hasSettings) {
		this(name, jasperFile);
		this.hasSettings = hasSettings;
	}

	public ReportType getType() {
		return type;
	}

	public void setType(ReportType type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getJasperFile() {
		return jasperFile;
	}

	public void setJasperFile(String jasperFile) {
		this.jasperFile = jasperFile;
	}

	public boolean isHasSettings() {
		return hasSettings;
	}

	public void setHasSettings(boolean hasSettings) {
		this.hasSettings = hasSettings;
	}

}
