package info.bukova.isspst.services.users;

import info.bukova.isspst.data.User;
import info.bukova.isspst.services.Service;

import org.springframework.security.core.userdetails.UserDetailsService;

public interface UserService extends UserDetailsService, Service<User> {
	
	public void setPassword(User user, String password);
	public boolean hasRole(User user, String authority);
	public void saveWithPwd(User user, String password);
	public User getCurrent();
	public String encodePassword(User user, String plain);
	public void grantAdmin();
	public void removeAccess();

}
